Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal
Class PropertyOverridesImpl

    java.lang.Object
      org.apache.tapestry5.internal.PropertyOverridesImpl

All Implemented Interfaces:
  PropertyOverrides

    public class PropertyOverridesImpl

extends java.lang.Object
implements PropertyOverrides

Constructor Summary
`PropertyOverridesImpl(ComponentResources resources)`

Method Summary
`Block` | `getOverrideBlock(java.lang.String name)` Searches for an override block with the given name.
`Messages` | `getOverrideMessages()` Returns the override messages (normally, the messages catalog for the component's container).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyOverridesImpl

    public PropertyOverridesImpl(ComponentResources resources)

Method Detail

### getOverrideBlock

    public Block getOverrideBlock(java.lang.String name)

  Description copied from interface: `PropertyOverrides`
  Searches for an override block with the given name.

  Specified by:
    `getOverrideBlock` in interface `PropertyOverrides`
  Parameters:
    `name` - the name of the block (typically, an informal parameter to a component)
  Returns:
    the block if found, or null if not found

### getOverrideMessages

    public Messages getOverrideMessages()

  Description copied from interface: `PropertyOverrides`
  Returns the override messages (normally, the messages catalog for the component's container).

  Specified by:
    `getOverrideMessages` in interface `PropertyOverrides`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.